# CharacterView Plugin

This unofficial TaleSpire plugin is for viewing the map from a character point of view.

## Change Log

```
3.1.0: Added mouse driven look around mode.
3.0.0: Reverted back to non-cam version to avoid performance issues.
3.0.0: Fix for BR HF Update.
2.0.1: Fixed issue with missing dependency on More Cameras Plugin. No plugin change.
2.0.0: Added support arrow based movement.
2.0.0: Added support for cam view.
2.0.0: Rewrote camera rendering due to BR udate.
1.4.1: Switched back to any key to go back to normal
1.4.1: Switched keys to no modifier. Key don't use L and M (already assigned by core TS).
1.4.0: Added look around feature
1.4.0: Fixed height bug
1.3.0: View is now from the Hook Head position (as opposed to the previous hard coded 0.5 height)
1.3.0: Plugin radial menu icon is now accessible without manual install steps
1.3.0: Character view radial option is only available to GM and mini owner
1.2.0: Plugin reported on TaleSpire main page
1.2.0: Option to use or not use Post Processing when in Character View (R2ModMan configuration setting)
1.2.0: Access to Character View can be done using keyboard or mini's radial menu
1.2.0: Any key can be used to revert back to normal view when in character view
1.1.0: Initial Release
```

## Install

Use R2ModMan or similar to install.

There are lots of optional settings that can be configured using R2ModMan Edit Config for the plugin.

## Usage

Press the Character View Mode key or select the option from the mini's radial menu to toggle Character View.
Press the Look Around Mode key or select the option from the mini's radial menu to toggle Look Around Mode.

In Character View and Look Around mode:

```
``RSHIFT``+``V`` = Toggle Character View Mode
``RSHIFT``+``L`` = Toggle Look Around Mode
``RCTRL``+``Y`` = Move forward in facing direction
``RCTRL``+``H`` = Move backwards with respect to facing direction
``RCTRL``+``G`` = Turn left with respect to facing direction
``RCTRL``+``J`` = Turn right with respect to facing direction
``RCTRL``+``B`` = Slide left with respect to facing direction without turning
``RCTRL``+``N`` = Slide left with respect to facing direction without turning

Only in Character View mode:

``RSHIFT``+``Y`` = Tilt head up
``RSHIFT``+``H`` = Tilt head down
``RSHIFT``+``G`` = Turn head left
``RSHIFT``+``J`` = Turn head right

Only in Look Around mode:

``Mouse`` = Rotate and tilt head based on position of mouse (center of screen = no rotation and no tilt)

Note: Do not use the normal keys (arrow keys or the WASD keys to move while in Character View or Look Around mode.

## Configuration

R2ModMan configuration for the offers the following settings:

``Hotkeys`` = Set the keyboard shortcut for each of the hotkeys listed above.

``Rotate Head Angle``: Angle by which the head is rotated or tilted when using Character View mode.

``Reset Head Rotation``: If true, resets the head rotation and tilt to the default each time a mode is toggled.

``Default Head Rotation``: The head rotation value that the head is reset to.

``Default Head Tilt``: The head tilt value that the head is reset to.

``Field Of View``: Determines how much the character can see to the sides.

``Start Render At Distance``: The view camera is place at the selected character's head. Normally the near plane
will not render the head because it is too close (which is what we want) but in some cases, such as large creatures,
the head may be larged and thius included in the render. Use this setting to adjust the distance to exlude the head.

